NVIDIA Drivers Support LM 19 and LMDE 3

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read how to get help
Post Reply
GNULinuxUser
Level 1
Level 1
Posts: 17
Joined: Sun Jul 22, 2018 8:39 pm

NVIDIA Drivers Support LM 19 and LMDE 3

Post by GNULinuxUser » Thu Sep 13, 2018 11:23 pm

Always assume I am using amd64 architecture.

And that I have Dell Inspiron 15 Gaming 7567
GeForce GTX 1050 Ti 4GB
Also Intel Graphics
i7700 4 cores 8 threads
16 GB DDR4 RAM
256GB ssd with windows and linux dual booting
1 TB HDD that also has a 32GB swap partition (I've heard their bad on SSDs)

I am a bit of a Linux newbie.

also NVIDIA.run file has never worked successfully for me.

I like Linux Mint 19 it has the latest Ubuntu Bionic 18.04 package base which has introduced many FOSS updates and some completely new software, combined with great stuff from Linux Mint e.g. Cinnamon, new mint-y theme fresh clean,mint-backgrounds-* ,xviewer, xreader, xed, mintinstall, mintupdate, latest nemo - notably faster and better

But, there are some issues with drivers in these new versions.

In Linux Mint 19 there are some issues with how GPU's are handled, apparently changes introduced in Ubuntu 18.04 (which Linux Mint 19 is based on)

I can no longer run any x86 applications even in wine!

e.g. No Far Cry in wine, no GTA in wine, no Counter-Strike: Source native x86, no Limbo x86 native, no Braid x86 native and that's after correcting other errors with

ia32-libs package

In particular the prominent errors I was receiving were
Failed to load driver: swrast
target is x11
target is x11
Failed to create SDL window

Is the problem because I use nvidia-driver-390 ?

So then I try LMDE 3 Cindy thinking its the next best thing...

There's no driver manager, it's pretty unclear what Graphics Driver i was using but I am pretty sure it was nouveau by default and nvidia-detect recommended installing nvidia-driver which destroyed lmde 3 cindy

Consequently, I have currently resorted to Linux Mint 18.3 which has a 2016 package base unfortunately...

This is a result of x86/32 bit incompatibility in Linux Mint 19 and LMDE 3 Cindy old debian package base and lack of functional 3D acceleration

Some of these games e.g. Half-Life I haven't really played yet even in 2018 and I was hoping to get to doing it in Linux Mint 19

But what the question is how would I get x86 compatibility functioning in Linux Mint 19 e.g. Far Cry or GTA in wine, counter-strike native, half-life native, limbo native

Or, will Linux Mint 19 updates fix these errors e.g. Linux Mint 19.1 soon

And, is anyone else experiencing such errors, if so I hope this isn't spam, and may someone please redirect me to a relevant thread if one such already exists regarding the above concerns

Sorry for bad english, I am rushing a lot of information

GNULinuxUser
Level 1
Level 1
Posts: 17
Joined: Sun Jul 22, 2018 8:39 pm

Re: NVIDIA Drivers Support LM 19 and LMDE 3

Post by GNULinuxUser » Sun Sep 16, 2018 8:38 pm

Huh, normally people reply sooner. Well maybe people are thinking of a response to a long post of confusing information and opinions.

User avatar
MrEen
Level 7
Level 7
Posts: 1961
Joined: Mon Jun 12, 2017 8:39 pm

Re: NVIDIA Drivers Support LM 19 and LMDE 3

Post by MrEen » Mon Sep 17, 2018 7:22 pm

I am no expert on this, but see if this helps:

Code: Select all

sudo dpkg --add-architecture i386 
Or maybe follow all the steps here: https://wiki.winehq.org/Ubuntu

Good luck.

GNULinuxUser
Level 1
Level 1
Posts: 17
Joined: Sun Jul 22, 2018 8:39 pm

Re: NVIDIA Drivers Support LM 19 and LMDE 3

Post by GNULinuxUser » Sat Sep 22, 2018 3:06 am

I have done so prior MrEen, but thanks for being active in the community! :)

GNULinuxUser
Level 1
Level 1
Posts: 17
Joined: Sun Jul 22, 2018 8:39 pm

Re: NVIDIA Drivers Support LM 19 and LMDE 3

Post by GNULinuxUser » Mon Sep 24, 2018 7:37 pm

Well, I can't really run Counter-Strike-Source Linux x86 in Linux Mint 18.3 amd64 nor Half-Life. But I can run x86 windows programs in wine (unlike LM 19) and I can also run games like Limbo x86 and SteamWorld Dig x86 Linux. However I can't run these in Linux Mint 19, is it because of the nvidia-driver-390? Will x86 software work if I use nvidia-384 in Linux Mint 19 instead?

To reiterate the errors i am getting when trying to run x86 software in Linux Mint 19 even after installing ia32-libs are:

Failed to load driver swrast
target is x11
target is x11
Failed to create SDL window: glx error.

Also, does this have anything to do with Linux Mint 19's usage of GTK 3 instead of GTK 2?

Please respond.

GNULinuxUser
Level 1
Level 1
Posts: 17
Joined: Sun Jul 22, 2018 8:39 pm

Re: NVIDIA Drivers Support LM 19 and LMDE 3

Post by GNULinuxUser » Sun Sep 30, 2018 9:58 pm

Does anyone actually have the same issue though, you know when trying to run any x86 program in x86_64 linux or is it just me?

Post Reply

Return to “Hardware Support”